#functions
{
	border: 1px solid #008800;
	vertical-align: top;
	padding: 0 10px;
}
#cookie
{
	background-color: black;
	color: white;
	padding: 5px;
	border-radius: 5px;
	margin-top: 5px;
	border: 2px solid red;
}
#cookie p
{
	margin-bottom: 5px;
}
#loginform_outer
{
	position: absolute;
	top: 2rem;
	left: 0;
	right: 0;
	margin-inline: auto;
	width: fit-content;
	z-index: 10;
	background-color: pink;
	width: 18rem;
	border-radius:10px;
	-moz-border-radius: 10px;
	-webkit-border-radius: 10px;
	border: 2px solid black;
	margin: auto;
	margin-top: 2rem;
	margin-bottom: 2rem;
	padding: 5px;
	display: none;
	box-shadow: 3px 3px 8px #000, -3px -3px 8px #000, -3px 3px 8px #000, 3px -3px 8px #000;
}
#loginform_inner
{
	border: 2px solid black;
	background-color: white;
	border-radius:7px;
	-moz-border-radius: 7px;
	-webkit-border-radius: 7px;
	padding: 5px;
	box-shadow: inset 3px 3px 8px #000;
}
#loginform_content
{
	font: 10pt monospace;
}
#loginform_content h1
{
	text-align: center;
	font-weight: bold;
	margin-bottom: 0.5rem;
}
#loginform_content a
{
	margin-left: 4rem;
	font: 10pt monospace;
}
.login_label, .login_input
{
	display: block;
	margin-left: 4rem;
	font: 10pt monospace;
	border-radius: 3px;
}
.login_button
{
	margin-top: 0.5rem;
	display: block;
	margin-bottom: 3px;
	font: 10pt monospace;
	display: inline-block;
	margin-right: 5px;
}
#loginbuttons
{
	margin-left: 4rem;
}
#io
{
	background-color: rgba(255,255,255,0.5);
	font: 10pt monospace;
	border-bottom: 2px solid black;
	display: block;
	padding-left: 4rem;
	width: 100%;
}
#io td
{
}
#uploadForm
{
	width: 5.125rem;
	padding-top: 0.125rem;
	padding-bottom: 0.125rem;
}
#function_selector
{
	margin-top: 0.25rem;
}
#function_selector, #function_selector option
{
	font: 10pt monospace;
	background-color: #98ff98;
	display: block;
	border-radius: 5px;
}

#dropper
{
	display: table-cell;
	width: 5rem;
	height: 5rem;
	background-color: rgba(255,255,255,1);
	line-height: 5rem;
	border: 1px solid black;
	border-radius: 5px;
	margin-left: 4rem;
	padding-top: 0.125rem;
	padding-bottom: 0.125rem;
	text-align: center;
}
td#infoBox
{
	display: table-cell;
	vertical-align: top;
	width: 500px;
	padding-top: 0.125rem;
	padding-bottom: 0.125rem;
	text-align: top;
}
#infoBox .h1
{
	background-color: #00ff00;
	padding-left: 1rem;
	border: 1px solid black;
	margin-right: 1rem;
	margin-bottom: 0;
	display: block;
}
#infoBox
{
	vertical-align: top;
	font: 10pt monospace;
	overflow: scroll;
	line-height: 10pt;
}
#infoBoxWrapper
{
	max-height: 5rem !important;
	height: 5rem !important;
	min-height: 5rem !important;
	overflow: scroll;
}
#infoBox .data
{
	vertical-align: top;
	display: inline-block;
	overflow: scroll !important;
}
#picturegallery
{
	margin: 1rem;
	display: flex;
	flex-wrap: wrap;
}
#picturegallery::after
{
	content: '';
	flex-grow: 99999999;
}
#picturegallery img
{
	width: 100%;
	max-height: 300px !important;
	display: inline-block;
	font-size: 0;
	vertical-align: middle;
	border: 4px solid white;
	/*box-shadow: 1px 1px 1px #000, -1px 1px 1px #000, 1px -1px 1px #000, -1px -1px 1px #000;*/
	flex-grow: 1;
}
#picturegallery .polaroid
{
	display: inline-block;
	position: relative;
	flex-grow: 1;
	border: 1px solid black;
}
#picturegallery fieldset
{
	display: inline-block;
	border: 2px solid red;
	padding-left: 4px;
	padding-right: 4px;
	margin-right: 4px;
	margin-top: 4px;
}
#picturegallery .edit
{
	background-color:white;
	width: calc(100% - 6px);
	position:absolute;
	bottom: 3px;
	left: 3px;
	z-index: 10;
	font: 10pt monospace;
}
#picturegallery input
{
	font: 10pt monospace;
}
#picturegallery .editbtn
{
	border-radius: 5px;
	background-color: LightGreen;
	width: 7rem;
}
#picturegallery .text
{
	position: absolute;
	background-color: white;
	color: black;
	text-decoration: none;
	top: 0;
	left: 25%;
	width: 50%;
	/*width: calc(100% - 0px);*/
	display: none;
	text-align: center;
	font: 10pt monospace;
	padding-bottom: 0.5rem;
	border-bottom-left-radius: 5px;
	border-bottom-right-radius: 5px;
	box-shadow: 3px 3px 4px #000;
}
@-webkit-keyframes borderBlink {    
    from, to {    
        border-color: transparent    
    }    
    50% {    
        border-color: red    
    }    
}    
@keyframes borderBlink {    
    from, to {    
        border-color: transparent    
    }    
    50% {    
        border-color: red    
    }    
}
.borderBlink {    
    -webkit-animation: borderBlink 1s step-end infinite;    
    animation: borderBlink 1s step-end infinite;    
}
#editForm
{
	background-color: white;
	padding: 1rem;
	font: 10pt monospace;
	width: 80%;
	margin: auto;
	margin-top: 1rem;
	margin-bottom: 1rem;
	border: 2px solid black;
	border-radius: 1rem;
}
#editForm textarea
{
	font: 10pt monospace;
	width: 60%;
	height: 10rem;
}
#editForm label
{
	display: inline-block;
	width: 10rem;
	text-align: right;
	padding-right: 1rem;
	margin-bottom: 0.125rem;
}
#editForm input
{
	display: inline-block;
	margin-bottom: 0.125rem;
	font: 10pt monospace;
}
#editForm .buttons
{
	padding-left: 10rem;
}
#editForm .textarea
{
	display: flex;
	align-items: top;
}
.bargraphOuter
{
	border: 1px solid black;
	background-color: red;
}
.bargraphInner
{
	background-color: green;
	height: 100%;
	border-right: 1px solid black;
}
#reorderTable
{
	background-color: white;
	margin: 1rem auto;
	font: 10pt monospace;
	width: 80%;
	border-radius: 5px;
}
#reorderTable td
{
	padding: 3px;
	vertical-align: middle;
}
#reorderTable tr
{
	border-bottom: 2px solid black;
	cursor: pointer;
}
.result {
	background-color: white;
}
.resultHighlight {
	background-color: LightGreen;
}
#swapButton
{
	position: fixed;
	bottom: 5px;
	right: 5px;
	display: block;
	z-index: 10;
}
#swapButton input
{
	font: 10pt monospace;
	background-color: LightGreen;
	border-radius: 5px;
	width: 7rem;
}